#version 330

in vec3 worldNormal;
in vec2 fragmentUV;

out vec4 fragColor;

uniform sampler2D colorTexture;

void main()
{
	vec3 textureColor = texture(colorTexture, fragmentUV).rgb;

	fragColor = vec4(textureColor, 1.0);
	//fragColor = vec4((worldNormal + 1) / 2, 1.0);
}