#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;

out vec3 worldNormal;

uniform mat4 modelMatrix;
uniform mat4 PV;

void main()
{
	worldNormal = (modelMatrix * vec4(normal, 0)).xyz;
	gl_Position = PV * modelMatrix * vec4(position, 1);
}